Results 1 to 7 of 7

Thread: How to install mac80211

  1. #1
    Junior Member xewax's Avatar
    Join Date
    Feb 2009
    Posts
    29

    Default How to install mac80211

    I try to follow instructions:
    Code:
    % wget \
      hxxp://intellinuxwireless.org/mac80211/downloads/mac80211-10.0.4.tgz
    % tar xvf mac80211-10.0.4.tgz
    mac80211-10.0.4/origin/GIT
    mac80211-10.0.4/origin/net/mac80211/Makefile
    ...
    % cd mac80211-10.0.4 
    % make
    Building modified version in 'modified/' directory:
    Copying modified/ from origin/...done
    Applying patches and scripts from pending/.
     + Applying: pending/14-d46...0bb780bba2b5db.patch
    ...
    % make patch_kernel <-- You need to be root for this
    Patching from compatible/ to /lib/modules/2.6.18-gentoo-r6/build/:
     + Replaced 43 files.
    ...
    But im stuck at
    Code:
    mac80211-10.0.4/origin/GIT
    mac80211-10.0.4/origin/net/mac80211/Makefile
    Help me to install it. What is GIT here and when i try to run Makefile nothing happens, or i am doing something wrong.

  2. #2
    Member
    Join Date
    Jan 2010
    Posts
    140

    Default

    Quote Originally Posted by xewax View Post
    Code:
    % make patch_kernel <-- You need to be root for this
    Patching from compatible/ to /lib/modules/2.6.18-gentoo-r6/build/:
    Help me to install it. What is GIT here and when i try to run Makefile nothing happens, or i am doing something wrong.
    This is a forum for backtrack not gentoo.

  3. #3
    Developer muts's Avatar
    Join Date
    Jan 2006
    Posts
    272

    Default huh ?

    Perhaps you should start by saying WHAT YOU ARE TRYING TO ACHIEVE.

    mac80211 stack is in the bt4 kernel...

  4. #4
    Developer
    Join Date
    Mar 2007
    Posts
    6,126

    Default

    Quote Originally Posted by larryhaja View Post
    This is a forum for backtrack not gentoo.
    Not only that but your kernel is to old for mac802.11

  5. #5
    Junior Member xewax's Avatar
    Join Date
    Feb 2009
    Posts
    29

    Default

    im trying to install my wifi.
    I think i have installed drivers and modules form http://intellinuxwireless.org/?n=Downloads

    but have problems with iwlwifi-5000-ucode

    When i go to "mywifidriver" folder and execute a command i get this:
    Code:
    bt wifidrv # ./load
    Unloaded: iwl3945 iwl4965 mac80211 cfg80211
    Loaded: iwl3945 iwl4965
    but where is iwl5000?

  6. #6
    Member
    Join Date
    Jan 2010
    Posts
    140

    Default

    Quote Originally Posted by xewax View Post
    but where is iwl5000?
    upgrade your kernel to 2.6.28.

  7. #7
    Developer
    Join Date
    Mar 2007
    Posts
    6,126

    Default

    http://en.gentoo-wiki.com/wiki/Iwlwifi

    Once again this is not a gentoo forum.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •